Bug 1251688 - [abrt] blivet-gui: PartitioningError: not enough free space after creating extended partition
[abrt] blivet-gui: PartitioningError: not enough free space after creating ex...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: blivet-gui (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vojtech Trefny
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3a46fd2a6539df53ed0982a4e17...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-08 14:00 EDT by Luke Meyer
Modified: 2015-08-22 18:50 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.2.9-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1252350 (view as bug list)
Environment:
Last Closed: 2015-08-22 18:50:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (871 bytes, text/plain)
2015-08-08 14:00 EDT, Luke Meyer
no flags Details
File: blivet-gui-tb (250.75 KB, text/plain)
2015-08-08 14:00 EDT, Luke Meyer
no flags Details
File: blivet.log (201.74 KB, text/plain)
2015-08-08 14:00 EDT, Luke Meyer
no flags Details
File: description (958 bytes, text/plain)
2015-08-08 14:00 EDT, Luke Meyer
no flags Details
File: environ (2.69 KB, text/plain)
2015-08-08 14:00 EDT, Luke Meyer
no flags Details
File: program.log (37.77 KB, text/plain)
2015-08-08 14:00 EDT, Luke Meyer
no flags Details

  None (edit)
Description Luke Meyer 2015-08-08 14:00:22 EDT
Description of problem:
With 3 partitions already on /dev/sda I right-clicked on the free space, chose "add", designated that it should all become an LVM PV, and clicked the button to continue. Got this traceback.

Version-Release number of selected component:
blivet-gui-0.2.8-1.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
blivet-gui.log: 
cmdline:        /usr/bin/python  /bin/blivet-gui
executable:     /bin/blivet-gui
hashmarkername: blivet-gui
kernel:         4.1.2-200.fc22.x86_64
other involved packages: python-blivet-1.0.10-1.fc22.noarch
product:        Fedora
release:        Fedora release 22 (Twenty Two)
type:           Python
version:        22

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/blivetgui/blivetgui.py", line 396, in add_partition
    self._raise_exception(result.exception, result.traceback)
  File "/usr/lib/python2.7/site-packages/blivetgui/blivetgui.py", line 232, in _raise_exception
    raise six.reraise(type(exception), exception, traceback)
  File "/usr/lib/python2.7/site-packages/blivetgui/utils.py", line 928, in add_device
    blivet.partitioning.doPartitioning(self.storage)
  File "/usr/lib/python2.7/site-packages/blivet/partitioning.py", line 515, in doPartitioning
    allocatePartitions(storage, disks, partitions, free)
  File "/usr/lib/python2.7/site-packages/blivet/partitioning.py", line 841, in allocatePartitions
    raise PartitioningError(_("not enough free space after "
PartitioningError: not enough free space after creating extended partition
Comment 1 Luke Meyer 2015-08-08 14:00:25 EDT
Created attachment 1060639 [details]
File: backtrace
Comment 2 Luke Meyer 2015-08-08 14:00:26 EDT
Created attachment 1060640 [details]
File: blivet-gui-tb
Comment 3 Luke Meyer 2015-08-08 14:00:28 EDT
Created attachment 1060641 [details]
File: blivet.log
Comment 4 Luke Meyer 2015-08-08 14:00:29 EDT
Created attachment 1060642 [details]
File: description
Comment 5 Luke Meyer 2015-08-08 14:00:29 EDT
Created attachment 1060643 [details]
File: environ
Comment 6 Luke Meyer 2015-08-08 14:00:30 EDT
Created attachment 1060644 [details]
File: program.log
Comment 7 Fedora Update System 2015-08-11 05:12:26 EDT
blivet-gui-0.2.9-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/blivet-gui-0.2.9-1.fc22
Comment 8 Fedora Update System 2015-08-12 03:03:27 EDT
Package blivet-gui-0.2.9-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing blivet-gui-0.2.9-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13236/blivet-gui-0.2.9-1.fc22
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2015-08-22 18:50:10 EDT
blivet-gui-0.2.9-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.